Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036871
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-09-15 17:362017-09-22 10:21
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionb29ea74af729
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036871: Remove all unused and not useful junit tests in org.openbravo.test.ant package

DescriptionThat javapackage contains/-ed 4 test-classes which are not used in any test-suite. Apart they inherit from BaseAntTests which is broken as it has never been updated after src-test code-moving a long time ago (needs to search 8 levels up not 7).

- AntTaskTests: calling compile.complete, update.database, wad (in src), import.reference.data, create.database
Calling those targets only from inside eclipse is not useful really, as some don't exist anymore, others leave system in inconsisten state (create.database without compiling)
- CallWadTest
Has some path-mismatch so not even working
- RestartTomcatTest
In practice calls ReloadTomcat which is stopped to be used (in gui) for many years as not reliable
- CompressionTest (removed earlier in 36373) calling deprecated minimizeJSandCSS from wrong folder

Apart all those ant targets are testing differently in CI by calling them during normal operation (not as part of junit tests).

Steps To Reproduce-
Proposed SolutionRemove the 4 test classes and its shared super-class BaseAntTests as dead, not useful code.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0099444)
hgbot (developer)
2017-09-21 23:11

Repository: erp/devel/pi
Changeset: b29ea74af729d3cb7c580d5dd8cb917acaf75b54
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Sep 15 17:38:37 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b29ea74af729d3cb7c580d5dd8cb917acaf75b54 [^]

Fixed 36871. Remove broken,unused junit tests in org.openbravo.test.ant

All those test-classes are not working and also not useful as described in
the issue. Remove those them.

---
R src-test/src/org/openbravo/test/ant/AntTasksTest.java
R src-test/src/org/openbravo/test/ant/BaseAntTest.java
R src-test/src/org/openbravo/test/ant/CallWadTest.java
R src-test/src/org/openbravo/test/ant/RestartTomcatTest.java
---
(0099471)
alostale (developer)
2017-09-22 10:21

reviewed

- Issue History
Date Modified Username Field Change
2017-09-15 17:36 shuehner New Issue
2017-09-15 17:36 shuehner Assigned To => shuehner
2017-09-15 17:36 shuehner Modules => Core
2017-09-15 17:36 shuehner Triggers an Emergency Pack => No
2017-09-15 17:37 shuehner Relationship added blocks 0032688
2017-09-21 23:11 hgbot Checkin
2017-09-21 23:11 hgbot Note Added: 0099444
2017-09-21 23:11 hgbot Status new => resolved
2017-09-21 23:11 hgbot Resolution open => fixed
2017-09-21 23:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b29ea74af729d3cb7c580d5dd8cb917acaf75b54 [^]
2017-09-21 23:12 shuehner Review Assigned To => alostale
2017-09-21 23:12 shuehner Fixed in Version => 3.0PR17Q4
2017-09-22 10:21 alostale Note Added: 0099471
2017-09-22 10:21 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker